.bloc {
	height:90vh;
	overflow-x: hidden;
	overflow-y: scroll;
}
.footer {
	background-color: #f8f9fa;
	border-top: 1px solid #e7e7e7;
	padding: 15px 0;
}
.footer a {
	color: #343a40;
}
.footer a:hover {
	color: #007bff;
}

.file-item {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
.file-name {
	flex: 1;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}
.file-actions {
	white-space: nowrap;
}

.addFile { display: none; }
.addFile + label { cursor: pointer; display: inline-block; }
.addFile + label img { width: 2em; height: auto;}

.large-badge {
	font-size: 1rem;
	padding: 5px 10px;
	color:#FFF;
}
.progress-container {
	width: 100%;
	background-color: #e0e0e0;
	border-radius: 5px;
	overflow: hidden;
	position: relative;
}
.progress-bar {
	height: 40px; /* Augmenté pour mieux afficher le texte */
	background-color: #76c7c0;
	width: 0; /* Initial width, will be updated by Vue.js */
	border-radius: 5px;
	display: flex;
	align-items: center;
	justify-content: center;
	color: white;
	font-weight: bold;
	position: relative;
}

.pin-input {
	display: flex;
	justify-content: center;
	margin-top: 20px;
}
.pin-input input {
	width: 40px;
	height: 60px;
	text-align: center;
	font-size: 20pt;
	margin: 0 5px;
}

@media (max-width: 700px) {
	.btn-text {
		display: none;
	}
}

